@echo off
echo kq3 coco disk builder (DrivePak)
echo.

set sierra_path=C:\coco\boot\sierra
set game_dsk=kq3-drivepak.dsk

rem Create AGI boot disk
os9 format -t160 -ss -dd -e -q -n"King's Quest 3" %game_dsk%
call %sierra_path%\build_agi_2.072_drivepak %game_dsk%

echo Disk 1...

imgtool put coco_os9_os9 %game_dsk% logDir logDir
imgtool put coco_os9_os9 %game_dsk% picDir picDir
imgtool put coco_os9_os9 %game_dsk% sndDir sndDir
imgtool put coco_os9_os9 %game_dsk% viewDir viewDir
imgtool put coco_os9_os9 %game_dsk% object object
imgtool put coco_os9_os9 %game_dsk% words.tok words.tok
imgtool put coco_os9_os9 %game_dsk% toc-dw toc
imgtool put coco_os9_os9 %game_dsk% toc-dw.txt toc.txt
imgtool put coco_os9_os9 %game_dsk% vol.0 vol.0
imgtool put coco_os9_os9 %game_dsk% vol.1 vol.1
imgtool put coco_os9_os9 %game_dsk% vol.2 vol.2
imgtool put coco_os9_os9 %game_dsk% vol.3 vol.3
imgtool put coco_os9_os9 %game_dsk% vol.4 vol.4
imgtool put coco_os9_os9 %game_dsk% vol.5 vol.5
imgtool put coco_os9_os9 %game_dsk% vol.6 vol.6
imgtool put coco_os9_os9 %game_dsk% vol.7 vol.7
imgtool put coco_os9_os9 %game_dsk% vol.8 vol.8
imgtool put coco_os9_os9 %game_dsk% vol.9 vol.9
imgtool put coco_os9_os9 %game_dsk% vol.11 vol.11
imgtool put coco_os9_os9 %game_dsk% vol.12 vol.12

for /f %%i in ("%game_dsk%") do (
  set game_par=%%~ni.par
)

dsk2par %game_dsk% %game_par%

echo.
echo Done!
pause
